Attribute VB_Name = "Module1"
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Private Const SWP_NOSIZE = &H1
Private Const SWP_NOZORDER = &H4
Private Const SWP_NOMOVE = &H2
Private Const SWP_DRAWFRAME = &H20
Private Const GWL_STYLE = (-16)
Private Const WS_THICKFRAME = &H40000
Private Const WS_DLGFRAME = &H400000
Private Const WS_POPUP = &H80000000
Private Const WS_CAPTION = &HC00000
Private Const WS_SYSMENU = &H80000
Private Const WS_MINIMIZEBOX = &H20000
Private Const WS_MAXIMIZEBOX = &H10000
Private Const WS_MINIMIZE = &H20000000
Private Const WS_MAXIMIZE = &H1000000
'-----------------------------------------------
'-- This module written by Daniel Cohen-Gindi --
'-------- D.C.G. Software - 053-903083 ---------
'-Warning: You must copy the module and give it-
'----to you friends, Change it like you want.---
'---- (Sorry about the errors in my text, ------
'--------------  I'm from Israel) --------------
'-----------------------------------------------
'---------This module will give you some--------
'------------effects for your program-----------
'-----------------------------------------------
'----------Use this module like this:-----------
'------CControl.ControlSize(Command1, True)-----
'-----Don't use one procedure two times in------
'----------True mode or in False mode-----------
'--Example: To enable the ControlCaption proc.--
'--use like: ControlCaption(ControlName, True)--
'-------------and to disable use:---------------
'-----"ControlCaption(ControlName, False)"------
'-----------------------------------------------
'-----------------Have Fun !!-------------------
'*******************************************
''ADDITIONAL NOTE FROM FREEVBCODE.COM
'FOR SOME CONTROLS, THESE FUNCTIONS WILL WORK, FOR SOME THEY WON'T
'IF THE CALLING FUNCTION NEEDS TO KNWO IF THEY WORK, CHANGE SUBS
'TO FUNCTIONS THAT RETURN TRUE IF ERR.LASTDLLERROR =0




Public Sub ControlSize(ControlName As Control, SetTrue As Boolean)
'* Sizable BorderStyle property for a Control *
    
    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_THICKFRAME
    Else
      dwStyle = dwStyle - WS_THICKFRAME
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlDialog(ControlName As Control, SetTrue As Boolean)
'* Fixed Dialog BorderStyle property for a Control *
    
    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_DLGFRAME
    Else
      dwStyle = dwStyle - WS_DLGFRAME
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlModal(ControlName As Control, SetTrue As Boolean)
'* Make a Control in Modal mode like "form.show 1" *
'* so you can't switch to another control or unload the
'* form until all control's modal are set to false
    
    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_POPUP
    Else
      dwStyle = dwStyle - WS_POPUP
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlCaption(ControlName As Control, SetTrue As Boolean)
'* Add a Title-bar like form to a Control *
'* (from FreeVBCode.com (Great to combine with controlsize)

    
    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_CAPTION
    Else
      dwStyle = dwStyle - WS_CAPTION
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlSysMenu(ControlName As Control, SetTrue As Boolean)
'* Enable the System-Menu for Control with Title-bar *
'* Call ControlCaption First
    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_SYSMENU
    Else
      dwStyle = dwStyle - WS_SYSMENU
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlMinBox(ControlName As Control, SetTrue As Boolean)
'* Enable the Minimize-Box for Control with Title-bar *

    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_MINIMIZEBOX
    Else
      dwStyle = dwStyle - WS_MINIMIZEBOX
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlMaxBox(ControlName As Control, SetTrue As Boolean)
'* Enable the Maximize-Box for Control with Title-bar *


    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_MAXIMIZEBOX
    Else
      dwStyle = dwStyle - WS_MAXIMIZEBOX
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlMinimize(ControlName As Control, SetTrue As Boolean)
'* Minimize a Control *


    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_MINIMIZE
    Else
      dwStyle = dwStyle - WS_MINIMIZE
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub
Public Sub ControlMaximize(ControlName As Control, SetTrue As Boolean)
'* Maximize a Control *

    Dim dwStyle As Long
    dwStyle = GetWindowLong(ControlName.hwnd, GWL_STYLE)
    If SetTrue Then
      dwStyle = dwStyle Or WS_MAXIMIZE
    Else
      dwStyle = dwStyle - WS_MAXIMIZE
    End If
    dwStyle = SetWindowLong(ControlName.hwnd, GWL_STYLE, dwStyle)
    SetWindowPos ControlName.hwnd, ControlName.Parent.hwnd, 0, 0, 0, 0, SWP_NOZORDER Or SWP_NOSIZE Or SWP_NOMOVE Or SWP_DRAWFRAME
End Sub


